(translating by flyingwitholdlady)
KDE vs GNOME: Settings, Apps, Widgets
=====================================

When it comes to desktop environments, choosing the one that's right for you can be a deeply personal matter. In this article, I'll look into the differences between two of the most popular Linux desktop environments – Gnome and KDE. I’ll explore what each desktop environment offers, comparing their strengths and weaknesses.

###Initial impressions

Upon first encountering the desktop, one can argue that KDE looks more polished than Gnome, and offers a more tech-friendly appearance. Additionally, if you are used to a Windows environment, KDE will feel much more familiar, thanks to the menu and button layout at the bottom of your screen. You can easily locate the K menu, launch programs and find documents with just a few clicks of your mouse.

Another important and familiar benefit with KDE is the easy to use minimize and close buttons with each open document, picture or application. To someone coming from another platform, features this basic might be taken for granted. But considering desktops like Gnome don't offer a true minimize option any longer, it's worth giving KDE props here.

Loading up Gnome 3 for the first time, the desktop might be perceived as a very alien experience if you're coming from another platform. Like classic Gnome, your access to docs and tools are not located at the bottom of your screen. Even stranger for some newbies, the method for closing open windows is – to be kind – "different." In defense of Gnome 3, however, I've found it to be quite a pleasant experience once you get used to this new way of doing things. And the new users I know who have tested Gnome 3 generally felt the same way.

###Widgets and extensions

The divide between the two desktop environments continues to broaden as we dive into the extensions and widgets provided for Gnome and KDE. While both desktops provide additions you can run to further enhance your desktop experience, the lines between them become different in how the desktops handle extended functionality.

KDE takes an interesting approach in that you can group widgets into what are called "Activities." The idea is you can have one Activity with a set number of desktop widgets, that help with specific work-flows.

By contrast, Gnome defines activities with a different approach. Instead of being widget-centric, Gnome makes its Activities more task- and application-based. For example, if I was using multiple apps, switching to the Gnome Activities overview allows you to gain a visualization and immediate access to each task.

###Settings for your desktop

While Gnome has gotten better about providing adequate settings controls from a GUI, KDE remains the reigning king in this space.

With KDE, you can find settings to control nearly every aspect of your desktop experience. Some Linux distributions, such as [OpenSUSE][1], go ever further by tightly integrating their own tools ([YaST][2]) into the KDE settings experience.

With the updates to the Gnome desktop since Gnome 3, I've found the biggest areas where I see KDE offering greater functionality is with ease of access to settings. Gnome tends to put application specific settings into an easy to find area of each application.

But KDE tends to offer greater granular control with their applications. One of my favorite examples is [Kontact][3] vs [Evolution][4]. Both are powerful PIMs for Gnome and KDE. But the difference is that Kontact is a suite of applications bundled with a suite of controls for each app, while Evolution is a single application with limited control. The same can be said of [AmaroK][5] vs [Rhythmbox][6], among other desktop-specific titles.

###File management

When it comes to finding the right file manager for your desktop, both Gnome and KDE do the work for you by providing their own defaults. [Nautilus][7] is the default file manager for Gnome where KDE, offers up [Dolphin][8] as its main offering.

When it comes to desktop environments, choosing the one that's right for you can be a deeply personal matter. In this article, I'll look into the differences between two of the most popular Linux desktop environments – Gnome and KDE. I’ll explore what each desktop environment offers, comparing their strengths and weaknesses.

###Initial impressions

Upon first encountering the desktop, one can argue that KDE looks more polished than Gnome, and offers a more tech-friendly appearance. Additionally, if you are used to a Windows environment, KDE will feel much more familiar, thanks to the menu and button layout at the bottom of your screen. You can easily locate the K menu, launch programs and find documents with just a few clicks of your mouse.

Another important and familiar benefit with KDE is the easy to use minimize and close buttons with each open document, picture or application. To someone coming from another platform, features this basic might be taken for granted. But considering desktops like Gnome don't offer a true minimize option any longer, it's worth giving KDE props here.

Loading up Gnome 3 for the first time, the desktop might be perceived as a very alien experience if you're coming from another platform. Like classic Gnome, your access to docs and tools are not located at the bottom of your screen. Even stranger for some newbies, the method for closing open windows is – to be kind – "different." In defense of Gnome 3, however, I've found it to be quite a pleasant experience once you get used to this new way of doing things. And the new users I know who have tested Gnome 3 generally felt the same way.

Widgets and extensions

The divide between the two desktop environments continues to broaden as we dive into the extensions and widgets provided for Gnome and KDE. While both desktops provide additions you can run to further enhance your desktop experience, the lines between them become different in how the desktops handle extended functionality.

KDE takes an interesting approach in that you can group widgets into what are called "Activities." The idea is you can have one Activity with a set number of desktop widgets, that help with specific work-flows.

By contrast, Gnome defines activities with a different approach. Instead of being widget-centric, Gnome makes its Activities more task- and application-based. For example, if I was using multiple apps, switching to the Gnome Activities overview allows you to gain a visualization and immediate access to each task.

Settings for your desktop

While Gnome has gotten better about providing adequate settings controls from a GUI, KDE remains the reigning king in this space.

With KDE, you can find settings to control nearly every aspect of your desktop experience. Some Linux distributions, such as OpenSUSE, go ever further by tightly integrating their own tools (YaST) into the KDE settings experience.

With the updates to the Gnome desktop since Gnome 3, I've found the biggest areas where I see KDE offering greater functionality is with ease of access to settings. Gnome tends to put application specific settings into an easy to find area of each application.

But KDE tends to offer greater granular control with their applications. One of my favorite examples is Kontact vs Evolution. Both are powerful PIMs for Gnome and KDE. But the difference is that Kontact is a suite of applications bundled with a suite of controls for each app, while Evolution is a single application with limited control. The same can be said of AmaroK vs Rhythmbox, among other desktop-specific titles.

File management

When it comes to finding the right file manager for your desktop, both Gnome and KDE do the work for you by providing their own defaults. Nautilus is the default file manager for Gnome where KDE, offers up Dolphin as its main offering.

Out of the box, I've found Nautilus offers Gnome users a polished, easy to use file management tool that won't overwhelm new Linux users. Flashing over to KDE, however, Dolphin is a highly configurable and not newbie friendly file management solution for those who want tons of control.

Simply looking at the sidebar for each file manager, you'll notice that Nautilus offers up the most straight forward approach to navigation. KDE's Dolphin, however, goes further with features like dates for files last used, and other related options.

If you're an advanced Linux user, you'll likely find yourself gravitating to Dolphin as it offers the most options and control. For those of us who simply want to navigate files without tons of "stuff", Nautilus wins in terms of simplicity.

###Desktop applications

One area that causes some disagreement among Linux enthusiasts is the claim that one desktop offers better default applications than the other. That said, this is certainly the case with Gnome vs KDE.

My findings in this area are that in many areas, Gnome wins without even trying that hard. For example: GIMP, Evince, and Pidgin are all applications that are simply less of a headache to rely on than their KDE counterparts. Kmail is another app that, in my opinion, gives new KDE users a bad taste in their mouths. Apps like this are overly complex and in general, abysmal to use.

On the flip side, there are some worthwhile exceptions in favor of KDE. [Calligra][9] vs [AbiWord][10] is an easy win for KDE, since [LibreOffice][11] isn't "truly" a Gnome specific option. Just because it's often the default suite for many Linux distributions doesn't make it the desktop environment default.

In the end, one of the wonders of Linux is that you can install GTK or Qt libraries and enjoy the benefits of the apps that best meet with your needs. For myself, I've found the Gnome application defaults to be the clear winner in most instances.

Final thoughts

If I ever found myself trapped on an island with only one desktop environment made available to me, it'd have to be Gnome. Even though I enjoy some aspects of KDE more than Gnome, overall I find Gnome is less work to keep up. Too often I’ve found KDE experiencing a messed up configuration or, worse: weird alerts claiming my sound card has disappeared. Under Gnome, I experience none of these problems.

Because I value my time and my sanity, I'll continue to recommend Gnome over KDE; while suggesting some KDE apps when appropriate. To anyone who claims that KDE is easier to use – I'd like to point out that for me, simply learning Gnome's approach to doing things has offered me greater stability in the long run.

Photo courtesy of [Shutterstock][12].

---

via: http://www.datamation.com/open-source/kde-vs-gnome-settings-apps-widgets-2.html

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)


[1]:http://www.opensuse.org/en/
[2]:http://en.opensuse.org/YaST_Software_Management
[3]:http://userbase.kde.org/Kontact
[4]:https://projects.gnome.org/evolution/
[5]:http://amarok.kde.org/
[6]:https://projects.gnome.org/rhythmbox/
[7]:http://en.wikipedia.org/wiki/Nautilus_%28file_manager%29
[8]:http://en.wikipedia.org/wiki/Dolphin_%28file_manager%29
[9]:http://www.calligra-suite.org/
[10]:http://www.abisource.com/
[11]:http://www.libreoffice.org/
[12]:http://www.shutterstock.com/pic-137314787/stock-photo-information-concept-golden-gears-on-digital-background-d-render.html

